<!DOCTYPE html>
<html lang="zh-Hans" class="zh-cn">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <meta id="viewport" name="viewport" content="width=device-width, user-scalable=no"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-title" content="解码轩尼诗">
    <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">
    <meta name="description" content="解码轩尼诗">
    <meta property="og:type" content="webpage" />
    <meta property="og:title" content="解码轩尼诗" />
    <!--meta property="og:url" content="http://www.hennessy.com/declassified/" /-->  
    <!--meta information end -->
    
    <title>解码轩尼诗</title>

    <script type="text/javascript" src="./scripts/config.js"></script>
    <script type="text/javascript" src="./scripts/jquery.min.js"></script>
    <!--script src="./scripts/featherlight.min.js" type="text/javascript" charset="utf-8"></script-->
    <script src="./scripts/jquery.lightbox_me.js" type="text/javascript" charset="utf-8"></script>
    <script type="text/javascript" src="./scripts/vue.js"></script>

    <!-- wechat mini programme START -->
    <script type="text/javascript" src="https://res.wx.qq.com/open/js/jweixin-1.4.0.js"></script>
    <!-- wechat mini programme END -->


    <link rel="stylesheet" type="text/css" href="./css/styles.css" />

</head>
<body>

    <div id="app">

        <!--div class="apploading" v-if="bluetoothReady == false"-->
        <div class="apploading" v-if="ready == false">
            <div class="message">
                <!--img class="graph-loading" src="./images/loading.gif" alt="" /-->
                <p>正在更新你的位置，<br />請確保你的手機藍芽及定位功能開啟。</p>
                <img class="icon" src="./images/icon-bluetooth.png" />
                <img class="icon" src="./images/icon-location.png" />
                <br />
                <a class="btn" v-on:click="ready = true">我知道了</a>
            </div>
        </div>

        <div id="debug">
            <div>bluetooth {{bluetoothReady}}</div>
            <div v-text="'count:' + validCount"></div>
            <div v-text="'leave:' + invalidCount"></div>
            <div v-if="beaconGroups.length > 0">
                <div v-for="group in beaconGroups">
                    <div>------</div>
                    <div v-text="'GROUP:' + group.groupName"></div>
                    <div v-for="(beacon, index) in group.beacons">
                        <div v-text="index"></div>
                        <div v-text="beacon.clone_name"></div>
                        <div v-text="'major:' + beacon.major"></div>
                        <div v-text="'minor:' + beacon.minor"></div>
                        <div v-text="'accuracy:' + beacon.accuracy" v-bind:class="{success : beacon.accuracy < 5, danger: beacon.accuracy > 5}"></div>
                    </div>
                </div>
            </div>
            
            <div>current: {{currentIbeacon}}</div>
        </div>

        <div id="userInfo">
            <div class="userInfo-wrapper">
                <div class="userIcon">
                    <img class="userAvatar" :src="userInfo.avatarUrl" />
                </div>
                <!--div class="statusBar">
                    <div class="wrapper">
                        <div class="name" v-text="userInfo.nickName"></div>    
                        <div class="clearfix">
                            <div class="title" v-text="lvTitle"></div>
                            <div class="points" v-text="userData.points + '/' + totalPoints"></div>
                        </div>
                        <div class="bar">
                            <div class="activePoints" :style="{ width: barWidth }"></div>
                        </div>                
                    </div>
                </div-->
            </div>
        </div>

        <div id="booths">
            <!-- booth view -->
            <!--:class="{'idle': currentIbeacon != booth.name, 'locked': booth.checkedIn == false, 'unlocked': booth.checkedIn == true}"-->
            <div class="booth" 
                :class="{'idle': currentIbeacon != booth.name , 'locked': booth.checkedIn == false, 'unlocked': booth.checkedIn == true}"
                :id="'booth-' + index" 
                v-for="(booth, index) in userData.booths">
                <div class="booth-wrapper">
                    <div class="name" v-text="booth.name + '(' + booth.name + ')'"></div>
                    <div class="visual" :style="{'backgroundImage': 'url('+booth.visual+')'}">
                        <div class="cover"></div>
                    </div>
                    <div class="details">
                        <div class="keylaerning">
                            <h2 class="title">Key Learning</h2>
                            <p v-text="booth.keylearning"></p>
                        </div>
                        <div class="">搖一搖 開啟相機</div>
                        <!--div class="games">
                            <div class="btn-container">
                                <a class="btn" v-on:click="gamesMethods(index)"
                                    :class="{completed: booth.game.completed == true}">
                                    <img src="./images/icon-camera.png" />
                                </a>
                            </div>
                            <div class="btn-container" v-if="booth.game.value != ''">
                                <a class="btn btn-lightbox" v-bind:data-lightbox="'#photoAdjust-'+index">
                                    <img src="./images/icon-picture.png" />
                                </a>
                            </div>
                            <div class="btn-container">
                                <a class="btn" v-on:click="quizsMethods(index)"
                                    :class="{completed: userData.quizs[index].completed == true}">
                                    <img src="./images/icon-file.png" />
                                </a>
                            </div>
                        </div-->
                    </div>

                    <!--
                    <div style="display: none">
                        <div class="photoAdjust popup-default" :id="'photoAdjust-'+index">
                            <div class="popup-wrapper">
                                <p class="intro">請為你的照片裝飾</p>
                                <div class="select">
                                    <div class="option" :class="{'active' : booth.game.selectedFilter == 1}" v-on:click="booth.game.selectedFilter = 1">1</div>
                                    <div class="option" :class="{'active' : booth.game.selectedFilter == 2}" v-on:click="booth.game.selectedFilter = 2">2</div>
                                    <div class="option" :class="{'active' : booth.game.selectedFilter == 3}" v-on:click="booth.game.selectedFilter = 3">3</div>
                                </div>
                                <div class="photo-wrapper">
                                    <div class="photo" :style="{'backgroundImage': 'url('+booth.game.value+')'}"></div>
                                    <div class="filter">
                                        <img src="./images/filter-1.png" v-if="booth.game.selectedFilter == 1" />
                                        <img src="./images/filter-2.png" v-if="booth.game.selectedFilter == 2" />
                                        <img src="./images/filter-3.png" v-if="booth.game.selectedFilter == 3" />
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    -->
                </div>
            </div>
        </div>

        <!--
        <div style="display:none">
            <div id="popup-lv">
                <div class="popup-wrapper">
                    <h3 class="heading">Congratulations</h3>
                    <p>Level up!<br />You are now a</p>
                    <div class="visual" :style="{'backgroundImage': 'url('+userInfo.avatarUrl+')'}"></div>
                    <p class="title" v-text="lvTitle"></p>
                </div>
            </div>
            <div class="popup-quiz" :id="'popup-quiz-'+quiz_index" v-for="(quiz,quiz_index) in userData.quizs">
                <div class="questions">
                    <div class="question popup-question" 
                        :id="'popup-quiz-'+quiz_index+'-question-'+question_index" 
                        :class="{completed: question.completed == true}"
                        v-for="(question, question_index) in quiz.questions">
                        <div class="popup-wrapper">
                            <div class="panel">
                                <div class="panel-heading">
                                    <h4 class="title" v-text="question.title"></h4>
                                </div>
                                <div class="panel-body">
                                    <a class="option"
                                        :class="{selected: question.selected == option_index}"
                                        v-for="(option, option_index) in question.options"  
                                        v-on:click="question.selected = option_index"
                                        v-text="(option_index+1) + '. ' + option"></a>

                                    <a class="next" 
                                        v-if="question.selected == question.answer" 
                                        v-on:click="completeQuiz(quiz_index, question_index)"
                                        :class="{active: question.selected == question.answer }">下一題</a>
                                    <a class="next danger" 
                                        v-if=" question.selected != question.answer && question.selected != -1 ">選擇錯誤</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="popup-default" id="popup-quiz-done">
                <div class="popup-wrapper">
                    <p>你已成功完成測試</p>
                    <h4 class="display-text">+20分</h4>
                    <div class="btn-container">
                        <a class="close">關閉</a>
                    </div>
                </div>
            </div>
            <div class="popup-default" id="popup-camera">
                <div class="popup-wrapper">
                    <p>你已成功拍照</p>
                    <h4 class="display-text">+20分</h4>
                    <div class="btn-container">
                        <a class="close">關閉</a>
                    </div>
                </div>
            </div>
            <div class="popup-default" id="popup-checkin">
                <div class="popup-wrapper">
                    <p>你已成功解鎖{{currentIbeacon}}的秘密，立即遊戲賺取更多積分。</p>
                    <h4 class="display-text">+10分</h4>
                    <div class="btn-container">
                        <a class="close">關閉</a>
                    </div>
                </div>
            </div>
        </div>
        -->
        
    </div>

    <script src="./scripts/app.js"></script>

    <!-- wechat mini programme START -->
    <script>

    //getSignature();
    function getSignature() {
        var res = null;

        //var path = "https://kei-dev.shinggor.com/getSignature";
        //var path = "https://hennessy-wechat.shinggor.com/declassified/zh-cn/api/getSignature";
        var path = CONFIG.requestSignature;
        var data = {
            url: location.href,
        };

        $.ajax({
            url: path,
            data: data,
            type: "GET",
            async: false,
            success: function(result){
                res = result;
            },
            error: function(){
            }
        });

        return res;
    }

    function ready() {
        console.log(window.__wxjs_environment === 'miniprogram') // true
        
        //config for mini programme usage of API
        var obj = getSignature();

        wx.config({
            debug: false, // 开启调试模式,调用的所有api的返回值会在客户端alert出来，若要查看传入的参数，可以在pc端打开，参数信息会通过log打出，仅在pc端时才会打印。
            //debug: true, // 开启调试模式,调用的所有api的返回值会在客户端alert出来，若要查看传入的参数，可以在pc端打开，参数信息会通过log打出，仅在pc端时才会打印。
            appId: CONFIG.appId,            // 必填，公众号的唯一标识
            timestamp: obj.timestamp,       // 必填，生成签名的时间戳
            nonceStr: obj.nonceStr,         // 必填，生成签名的随机串
            signature: obj.signature,       // 必填，签名
            jsApiList: [
                "startSearchBeacons",
                "stopSearchBeacons",
                "onSearchBeacons",
                "chooseImage",
                "getLocation",
                "openLocation",
            ] // 必填，需要使用的JS接口列表
        });
    }
    
    //check if it is within mini programme parent
    if (!window.WeixinJSBridge || !WeixinJSBridge.invoke) { //false
        document.addEventListener('WeixinJSBridgeReady', ready, false)
    } else { //true
        //ready()
    }

    wx.ready(function(){
        //wxfn.checkJsApi()
        wxfn.stopSearchBeacons()
        wxfn.startSearchBeacons();
    })
    wx.error(function(res){
        alert('wx.error');
    })

    var wxfn = function(){
        var self = {};
        self.vibrateLong = function(){
            wx.vibrateLong();
        }
        self.startSearchBeacons = function(){
            wx.startSearchBeacons({
                complete(res) {
                    app.bluetoothReady = true;
                    wx.onSearchBeacons({
                        complete:function(argv){
                            if(argv){
                                //alert("search:complete:+++1"+JSON.stringify(argv));
                            }else{
                                alert("未进行分组或查找失败");
                            }
                            //alert(JSON.stringify(argv));
                            app.beacons = argv.beacons;
                        }
                    });
                }
            })
        }
        self.stopSearchBeacons = function(){
            wx.stopSearchBeacons({
                complete(res) {
                    app.bluetoothReady = false;
                }
            })
        }
        self.checkJsApi = function(){
            wx.checkJsApi({
                jsApiList: [
                    'startSearchBeacons',
                    'onSearchBeacons',
                    'chooseImage'
                ]
            })
        }
        self.chooseImage = function(boothIndex){
            wx.chooseImage({
                count: 1,
                sizeType: ['compressed'],
                sourceType: ['camera'],
                success(res) {
                    app.userData.booths[boothIndex].game.value = res.localIds[0];
                    app.addGamePoints(boothIndex);
                    $('#photoAdjust-' + boothIndex).lightbox_me();
                }
            })
        }
        self.navigateTo = function(value){
            wx.miniProgram.navigateTo(value)
        },
        self.redirectTo = function(value){
            wx.miniProgram.redirectTo(value)
        }
        return self;
    }();

    </script>
    <!-- wechat mini programme END -->

</body>
</html>



